summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--support-files/mysql.spec.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/support-files/mysql.spec.sh b/support-files/mysql.spec.sh
index 81fed07079f..b563972e08a 100644
--- a/support-files/mysql.spec.sh
+++ b/support-files/mysql.spec.sh
@@ -439,7 +439,7 @@ fi
# Create a MySQL user and group. Do not report any problems if it already
# exists.
-groupadd -r -c "MySQL server" %{mysqld_user} 2> /dev/null || true
+groupadd -r %{mysqld_user} 2> /dev/null || true
useradd -M -r -d $mysql_datadir -s /bin/bash -c "MySQL server" -g %{mysqld_user} %{mysqld_user} 2> /dev/null || true
# Change permissions so that the user that will run the MySQL daemon
@@ -670,6 +670,8 @@ fi
%changelog
* Thu Aug 04 2005 Lenz Grimmer <lenz@mysql.com>
+- Fixed the creation of the mysql user group account in the postinstall
+ section (BUG 12348)
- Fixed enabling the Archive storage engine in the Max binary
* Tue Aug 02 2005 Lenz Grimmer <lenz@mysql.com>